textures/skies2/venus
{
	qer_editorimage textures/skies2/venus.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .90 .90 .95 90 0 70
	q3map_surfacelight 250
	skyparms textures/skies2/env/venus 128 -
}


textures/uvtemple/chain
{
	qer_editorimage textures/uvtemple/chain1.tga
	q3map_lightimage textures/uvtemple/chain1.tga
	cull none
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm playerclip
	q3map_surfacelight 1000

	{
		map textures/uvtemple/chain1.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal

	}
}


textures/uvtemple/bars
{
	qer_editorimage textures/uvtemple/bars1.tga
	surfaceparm metalsteps
	cull none

	{
		map textures/uvtemple/bars1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GT0
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/uvtemple/brick_floor_bounce_b
{
	qer_editorimage textures/uvtemple/brick_floor_bouncepad.tga
	q3map_lightimage textures/ctf/jumppadsmall_b.tga
	q3map_surfacelight 150
	surfaceparm nodamage

	{
		map textures/uvtemple/brick_floor_bouncepad.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/alliance/ctf_blue_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/alliance/ctf_bounce_blue.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/uvtemple/brick_floor_bounce_r
{
	qer_editorimage textures/uvtemple/brick_floor_bouncepad.tga
	q3map_lightimage textures/ctf/jumppadsmall_r.tga
	q3map_surfacelight 150
	surfaceparm nodamage

	{
		map textures/uvtemple/brick_floor_bouncepad.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/alliance/ctf_red_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/alliance/ctf_bounce_red.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/uvtemple/flagshadowfloor_b
{
	qer_editorimage textures/alliance/flag_shadow.tga

	{
		map textures/uvtemple/stone_b.tga
		rgbGen identity
		tcMod scale 2 2
	}
	{
		clampmap textures/alliance/flag_shadow_outer2.tga
		blendFunc filter
		rgbGen identity
		tcMod rotate 360
	}
	{
		clampmap textures/alliance/flag_shadow_middle2.tga
		blendFunc filter
		rgbGen identity
		tcMod rotate 240
	}
	{
		clampmap textures/alliance/flag_shadow_inner2.tga
		blendFunc filter
		rgbGen identity
		tcMod rotate 180
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/uvtemple/flagshadowfloor_r
{
	qer_editorimage textures/alliance/flag_shadow.tga

	{
		map textures/uvtemple/stone_r.tga
		rgbGen identity
		tcMod scale 2 2
	}
	{
		clampmap textures/alliance/flag_shadow_outer2.tga
		blendFunc filter
		rgbGen identity
		tcMod rotate 360
	}
	{
		clampmap textures/alliance/flag_shadow_middle2.tga
		blendFunc filter
		rgbGen identity
		tcMod rotate 240
	}
	{
		clampmap textures/alliance/flag_shadow_inner2.tga
		blendFunc filter
		rgbGen identity
		tcMod rotate 180
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/uvtemple/leaf
{
	qer_editorimage textures/uvtemple/leaf1.tga
	q3map_lightimage textures/uvtemple/leaf1.tga
	surfaceparm alphashadow
	cull none

	{
		map textures/uvtemple/leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/uvtemple/light1_b
{
	qer_editorimage textures/uvtemple/stone_light1_b.tga
	q3map_lightimage textures/uvtemple/stone_light1_b.blend.tga
	q3map_surfacelight 15000
	light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uvtemple/stone_light1_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/uvtemple/stone_light1_b.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/uvtemple/light1_r
{
	qer_editorimage textures/uvtemple/stone_light1_r.tga
	q3map_lightimage textures/uvtemple/stone_light1_r.blend.tga
	q3map_surfacelight 15000
	light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uvtemple/stone_light1_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/uvtemple/stone_light1_r.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/uvtemple/marble_wallflag_b
{
	qer_editorimage textures/uvtemple/marble_512_b.tga
	q3map_lightimage textures/alliance/uvtemple_wallflag_b.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uvtemple/marble_512_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/alliance/uvtemple_wallflag_b.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/uvtemple/marble_wallflag_r
{
	qer_editorimage textures/uvtemple/marble_512_r.tga
	q3map_lightimage textures/alliance/uvtemple_wallflag_r.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uvtemple/marble_512_r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/alliance/uvtemple_wallflag_r.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/uvtemple/stone_wallflag_b
{
	qer_editorimage textures/uvtemple/stone_512_wallflag.tga
	q3map_lightimage textures/alliance/uvtemple_wallflag_b.

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uvtemple/stone_512_wallflag.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/alliance/uvtemple_wallflag_b.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/uvtemple/stone_wallflag_r
{
	qer_editorimage textures/uvtemple/stone_512_wallflag.tga
	q3map_lightimage textures/alliance/uvtemple_wallflag_r.tga

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/uvtemple/stone_512_wallflag.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/alliance/uvtemple_wallflag_r.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/uvtemple/tile1_bounce_b
{
	qer_editorimage textures/uvtemple/tile1_bouncepad.tga
	q3map_lightimage textures/ctf/jumppadsmall_b.tga
	q3map_surfacelight 150
	surfaceparm nodamage

	{
		map textures/uvtemple/tile1_bouncepad.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/alliance/ctf_blue_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/alliance/ctf_bounce_blue.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/uvtemple/tile1_bounce_r
{
	qer_editorimage textures/uvtemple/tile1_bouncepad.tga
	q3map_lightimage textures/ctf/jumppadsmall_r.tga
	q3map_surfacelight 150
	surfaceparm nodamage

	{
		map textures/uvtemple/tile1_bouncepad.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/alliance/ctf_red_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/alliance/ctf_bounce_red.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/uvtemple/tile2_bounce_b
{
	qer_editorimage textures/uvtemple/tile2_bouncepad.tga
	q3map_lightimage textures/ctf/jumppadsmall_b.tga
	q3map_surfacelight 150
	surfaceparm nodamage

	{
		map textures/uvtemple/tile2_bouncepad.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/alliance/ctf_blue_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/alliance/ctf_bounce_blue.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}

textures/uvtemple/tile2_bounce_r
{
	qer_editorimage textures/uvtemple/tile2_bouncepad.tga
	q3map_lightimage textures/ctf/jumppadsmall_r.tga
	q3map_surfacelight 150
	surfaceparm nodamage

	{
		map textures/uvtemple/tile2_bouncepad.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/alliance/ctf_red_layer1.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/alliance/ctf_bounce_red.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
